# Generated by Django 4.2.3 on 2023-07-27 16:11

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('school_management', '0006_rename_subjects_teacher_course'),
    ]

    operations = [
        migrations.CreateModel(
            name='WorkDayTime',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('work_day', models.IntegerField(choices=[(0, 'Luni'), (1, 'Marti'), (2, 'Miercuri'), (3, 'Joi'), (4, 'Vineri'), (5, 'Sambata'), (6, 'Duminica')])),
                ('time', models.TimeField()),
            ],
        ),
        migrations.RenameField(
            model_name='student',
            old_name='date_of_birth',
            new_name='date_of_Birth',
        ),
        migrations.RenameField(
            model_name='student',
            old_name='parent_mobile_number',
            new_name='parent_Mobile_Number',
        ),
        migrations.RenameField(
            model_name='student',
            old_name='profile_pic',
            new_name='profile_Picture',
        ),
        migrations.AlterField(
            model_name='student',
            name='surname',
            field=models.CharField(max_length=255),
        ),
        migrations.DeleteModel(
            name='Session',
        ),
        migrations.AddField(
            model_name='course',
            name='work_day_times',
            field=models.ManyToManyField(to='school_management.workdaytime'),
        ),
    ]
